org.apache.ode.bpel.evt

## Class CorrelationEvent

- java.lang.Object
- - org.apache.ode.bpel.evt.BpelEvent
  - - org.apache.ode.bpel.evt.ProcessEvent
    - - org.apache.ode.bpel.evt.CorrelationEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CorrelationNoMatchEvent

      public class CorrelationEvent
      extends ProcessEvent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent

      `BpelEvent.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrelationEvent()`
    `CorrelationEvent(javax.xml.namespace.QName portType, java.lang.String operation, java.lang.String mexId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessageExchangeId()` Message exchange id
    `java.lang.String` | `getOperation()` Message exchange operation
    `javax.xml.namespace.QName` | `getPortType()` Message exchange port type
    `BpelEvent.TYPE` | `getType()`
    `void` | `setMexId(java.lang.String mexId)`
    `void` | `setOperation(java.lang.String operation)`
    `void` | `setPortType(javax.xml.namespace.QName portType)`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent

      `getProcessId, getProcessName, setProcessId, setProcessName`

    - ### Methods inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationEvent

          public CorrelationEvent()

    - #### CorrelationEvent

          public CorrelationEvent(javax.xml.namespace.QName portType,
                                  java.lang.String operation,
                                  java.lang.String mexId)

  - ### Method Detail

    - #### getPortType

          public javax.xml.namespace.QName getPortType()

      Message exchange port type

    - #### getOperation

          public java.lang.String getOperation()

      Message exchange operation

    - #### getMessageExchangeId

          public java.lang.String getMessageExchangeId()

      Message exchange id

    - #### setMexId

          public void setMexId(java.lang.String mexId)

    - #### setOperation

          public void setOperation(java.lang.String operation)

    - #### setPortType

          public void setPortType(javax.xml.namespace.QName portType)

    - #### getType

          public BpelEvent.TYPE getType()

      Specified by:
        `getType` in class `BpelEvent`